Bug 22029 - Remove Google+ from social links on OPAC detail
Summary: Remove Google+ from social links on OPAC detail
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: helene
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-12-20 00:42 UTC by Aleisha Amohia
Modified: 2019-02-06 17:43 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Google revealed that Google Plus accounts will be shut down on April 2, 2019.
Version(s) released in:


Attachments
Bug 22029: Google plus has been removed from the social links. (1.98 KB, patch)
2019-01-15 21:13 UTC, helene
Details | Diff | Splinter Review
Bug 22029: Google plus has been removed from the social links. (2.03 KB, patch)
2019-01-16 11:25 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22029: Google plus has been removed from the social links. (2.08 KB, patch)
2019-01-16 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-12-20 00:42:39 UTC
No one uses Google+

Enable SocialNetworks syspref to see the links on opac-detail.pl
Comment 1 Lisette Scheer 2018-12-28 21:03:51 UTC
Not only is it not used anymore, it will be shut down by April 2019.
Comment 2 helene 2019-01-15 21:13:33 UTC
Created attachment 84016 [details] [review]
Bug 22029: Google plus has been removed from the social links.

For testing:
1) Make sure SocailNetworks is enabled
2) Find a book and verify that in the social links, there is a Google
Plus option
3) apply patch and verify that the Google Plus option is no longer there
Comment 3 ByWater Sandboxes 2019-01-16 11:25:08 UTC
Created attachment 84048 [details] [review]
Bug 22029: Google plus has been removed from the social links.

For testing:
1) Make sure SocailNetworks is enabled
2) Find a book and verify that in the social links, there is a Google
Plus option
3) apply patch and verify that the Google Plus option is no longer there

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2019-01-16 11:28:14 UTC
Nice work Helene!
Comment 5 Katrin Fischer 2019-01-16 20:54:20 UTC
Created attachment 84091 [details] [review]
Bug 22029: Google plus has been removed from the social links.

For testing:
1) Make sure SocailNetworks is enabled
2) Find a book and verify that in the social links, there is a Google
Plus option
3) apply patch and verify that the Google Plus option is no longer there

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-01-16 20:54:36 UTC
A good deed :)
Comment 7 Nick Clemens 2019-01-28 14:15:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-01 13:00:51 UTC
Pushed to 18.11.x for 18.11.03
Comment 9 Jesse Maseto 2019-02-06 17:43:32 UTC
Merge conflict with 18.05.x. Please rebase if needed in 18.05.x.